## zinnia 0.05

=== ruby/Makefile ===

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
topdir = /usr/lib/ruby/1.8/i486-linux
hdrdir = $(topdir)
VPATH = $(srcdir):$(topdir):$(hdrdir)
exec_prefix = $(prefix)
prefix = $(DESTDIR)/usr
sharedstatedir = $(prefix)/com
mandir = $(prefix)/share/man
psdir = $(docdir)
oldincludedir = $(DESTDIR)/usr/include
localedir = $(datarootdir)/locale
bindir = $(exec_prefix)/bin
libexecdir = $(prefix)/lib/ruby1.8
sitedir = $(DESTDIR)/usr/local/lib/site_ruby
htmldir = $(docdir)
vendorarchdir = $(vendorlibdir)/$(sitearch)
includedir = $(prefix)/include
infodir = $(prefix)/share/info
vendorlibdir = $(vendordir)/$(ruby_version)
sysconfdir = $(DESTDIR)/etc
libdir = $(exec_prefix)/lib
sbindir = $(exec_prefix)/sbin
rubylibdir = $(libdir)/ruby/$(ruby_version)
docdir = $(datarootdir)/doc/$(PACKAGE)
dvidir = $(docdir)
vendordir = $(libdir)/ruby/vendor_ruby
datarootdir = $(prefix)/share
pdfdir = $(docdir)
archdir = $(rubylibdir)/$(arch)
sitearchdir = $(sitelibdir)/$(sitearch)
datadir = $(datarootdir)
localstatedir = $(DESTDIR)/var
sitelibdir = $(sitedir)/$(ruby_version)

CC = cc
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

RUBY_EXTCONF_H = 
CFLAGS   =  -fPIC -fno-strict-aliasing -g -g -O2  -fPIC $(cflags) 
INCFLAGS = -I. -I. -I/usr/lib/ruby/1.8/i486-linux -I.
DEFS     = -D_FILE_OFFSET_BITS=64
CPPFLAGS = -DHAVE_ZINNIA_H  -D_FILE_OFFSET_BITS=64 
CXXFLAGS = $(CFLAGS) 
ldflags  = -L. -Wl,-Bsymbolic-functions -rdynamic -Wl,-export-dynamic
dldflags = 
archflag = 
DLDFLAGS = $(ldflags) $(dldflags) $(archflag)
LDSHARED = $(CC) -shared
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby1.8
RUBY_SO_NAME = ruby1.8
arch = i486-linux
sitearch = i486-linux
ruby_version = 1.8
ruby = /usr/bin/ruby1.8
RUBY = $(ruby)
RM = rm -f
MAKEDIRS = mkdir -p
INSTALL = /usr/bin/install -c
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = $(INSTALL) -m 644
COPY = cp

#### End of system configuration section. ####

preload = 

libpath = . $(libdir)
LIBPATH =  -L. -L$(libdir)
DEFFILE = 

CLEANFILES = mkmf.log
DISTCLEANFILES = 

extout = 
extout_prefix = 
target_prefix = 
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED) -lzinnia  -lpthread -ldl -lcrypt -lm   -lc
SRCS = zinnia_wrap.cpp
OBJS = zinnia_wrap.o
TARGET = zinnia
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

BINDIR        = $(bindir)
RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so $(TARGET).il? $(TARGET).tds $(TARGET).map
CLEANOBJS     = *.o *.a *.s[ol] *.pdb *.exp *.bak

all:		$(DLLIB)
static:		$(STATIC_LIB)

clean:
		@-$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@-$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		@-$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: install-so install-rb

install-so: $(RUBYARCHDIR)
install-so: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB)
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
$(RUBYARCHDIR):
	$(MAKEDIRS) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .cxx .cpp .C .o

.cc.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cxx.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cpp.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.C.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.c.o:
	$(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) -c $<

$(DLLIB): $(OBJS)
	@-$(RM) $@
	$(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



$(OBJS): ruby.h defines.h

## zinnia 0.06

=== debian/changelog ===
zinnia (0.06-8build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:55:19 +0200

zinnia (0.06-8) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #841793)
  * debian/control:
    + Bump Standards-Version to 4.6.2.
    + Bump debhelper compat to v13.
    + Set package maintainer to Debian QA Group.
    + Update Vcs-* fields accordingly.
    + Mark package libzinnia0 as Multi-Arch: same.
  * debian/rules:
    + Clean up dbgsym migration.

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Aug 2023 08:37:57 -0400

zinnia (0.06-7) unstable; urgency=high

  * Team upload
  * Bump debian version
    - The reason for this upload is to allow the Ubuntu version of the
      package to become in sync with Debian.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 01 Aug 2022 19:35:29 +0200

zinnia (0.06-6) unstable; urgency=high

  * Team upload.
  * Remove BD python-all-dev (Closes: #938890)

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 19 Jan 2020 13:30:29 +0900

zinnia (0.06-5) unstable; urgency=high

  * Team upload.
  * Remove python-zinnia binary package (Closes: #938890)
    - There's no rdep; not worth to port for Python 3.

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 11 Dec 2019 15:58:34 +0900

zinnia (0.06-4) unstable; urgency=medium

  * Set maintainer to Debian Input Method Team but keep the package
    as orphaned.
  * debian/control:
    + Bump debhelper compat to v11.
    + Bump Standards-Version to 4.2.1.
    + Update Vcs-* fields and use git repo under Salsa Debian Input
      Method Team group.
    + Mark libzinnia-doc as Multi-Arch: foreign.
  * debian/rules:
    + Use dh syntax.
    + Use dh_strip dbgsym migration.
  * debian/doc-base: Install docs into -dev package's /usr/share/doc/
    directory instead.
  * debian/patches: Add patch to remove unnecessary manipulation of
    gcc flags. The flags will be provided by dpkg-buildflags through
    debian/rules file.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Nov 2018 14:32:35 -0500

zinnia (0.06-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA team. Closes: #899754.
  * Bump dh to level 8 (highest that builds...).
  * Build-Depend on dh-python.
  * Priority optional.
  * Fix typos in desc.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 27 May 2018 23:10:13 +0200

zinnia (0.06-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 6. Closes: #811877.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Jul 2016 13:43:07 +0200

zinnia (0.06-2) unstable; urgency=low

  * Team upload.
  * Use dh-autoreconf for FTBFS of ppc64el. (Closes: #735087)
  * Transition from dh_pysupport to dh_python2.
  * Fix debian-rules-missing-recommended-target
  * Bump std-ver from 3.8.4 to 3.9.5.

 -- Aron Xu <aron@debian.org>  Sat, 08 Feb 2014 22:56:38 +0800

zinnia (0.06-1) unstable; urgency=low

  * New upstream release.
  * debian/source/format: 3.0
  * debian/control:
    - bump standards version to 3.8.4.
    - depends on ${misc:Depends}
    - change maintainer to IME Packaging Team, add me to uploaders.
    - update Vcs-* fields.
  * change dpatch to quilt.
  * Fix "uses pythonX.Y/site-packages for Python >= 2.6" (Closes: #557945)
    - update debian/rules

 -- LI Daobing <lidaobing@debian.org>  Mon, 21 Jun 2010 19:55:28 +0800

zinnia (0.05-1) unstable; urgency=low

  * new upstream release.
  * debian/libzinnia-dev.install: install pkgconfig.
  * debian/copyright: updated. the upstream change license from GPL to BSD.

 -- LI Daobing <lidaobing@debian.org>  Sat, 06 Jun 2009 14:39:18 +0800

zinnia (0.04-1) unstable; urgency=low

  * Initial release (closes: #514969)

 -- LI Daobing <lidaobing@debian.org>  Wed, 22 Apr 2009 19:36:16 +0800

=== debian/control ===
Source: zinnia
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://taku910.github.io/zinnia/
Vcs-Git: https://salsa.debian.org/debian/zinnia.git
Vcs-Browser: https://salsa.debian.org/debian/zinnia

Package: libzinnia-dev
Section: libdevel
Architecture: any
Depends:
 libzinnia0 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libzinnia-doc,
Description: development files for the zinnia library
 Zinnia provides a simple, customizable, and portable dynamic OCR
 system for hand-written input, based on Support Vector Machines.
 .
 Zinnia simply receives user pen strokes as coordinate data and outputs
 the best matching characters sorted by SVM confidence. To maintain
 portability, it has no rendering functionality. In addition to
 recognition, Zinnia provides a training module capable of creating
 highly efficient handwriting recognition models.
 .
 This package is needed to compile programs against libzinnia0,
 as only it includes the header files and static libraries (optionally)
 needed for compiling.

Package: libzinnia-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: documentation files for the zinnia library
 Zinnia provides a simple, customizable, and portable dynamic OCR
 system for hand-written input, based on Support Vector Machines.
 .
 Zinnia simply receives user pen strokes as coordinate data and outputs
 the best matching characters sorted by SVM confidence. To maintain
 portability, it has no rendering functionality. In addition to
 recognition, Zinnia provides a training module capable of creating
 highly efficient handwriting recognition models.
 .
 This package provide the documentation files for the zinnia library.

Package: libzinnia0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: online handwriting recognition system with machine learning
 Zinnia provides a simple, customizable, and portable dynamic OCR
 system for hand-written input, based on Support Vector Machines.
 .
 Zinnia simply receives user pen strokes as coordinate data and outputs
 the best matching characters sorted by SVM confidence. To maintain
 portability, it has no rendering functionality. In addition to
 recognition, Zinnia provides a training module capable of creating
 highly efficient handwriting recognition models.
 .
 This package contains the shared libraries.

# Package: python-zinnia
# Section: python
# Architecture: any
# Provides:
#  ${python:Provides},
# Depends:
#  ${misc:Depends},
#  ${python:Depends},
#  ${shlibs:Depends},
# Description: Python binding for the zinnia library
#  Zinnia provides a simple, customizable, and portable dynamic OCR
#  system for hand-written input, based on Support Vector Machines.
#  .
#  Zinnia simply receives user pen strokes as coordinate data and outputs
#  the best matching characters sorted by SVM confidence. To maintain
#  portability, it has no rendering functionality. In addition to
#  recognition, Zinnia provides a training module capable of creating
#  highly efficient handwriting recognition models.
#  .
#  This package contains the Python binding.

Package: zinnia-utils
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utils for the zinnia library
 Zinnia provides a simple, customizable, and portable dynamic OCR
 system for hand-written input, based on Support Vector Machines.
 .
 Zinnia simply receives user pen strokes as coordinate data and outputs
 the best matching characters sorted by SVM confidence. To maintain
 portability, it has no rendering functionality. In addition to
 recognition, Zinnia provides a training module capable of creating
 highly efficient handwriting recognition models.
 .
 This package provide utils for zinnia library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

#PYVERS=$(shell pyversions -vs)

include /usr/share/dpkg/architecture.mk

# Export buildflags
#
# Do not use broken detect code in configure.ac, which is commented
# out
#
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@
#	dh $@ --with python2

#override_dh_auto_build:
#	dh_auto_build
#	(cd python; \
#	    python2 setup.py build; \
#	)

#override_dh_auto_install:
#	dh_auto_install
#	(cd python; \
#	    python2 setup.py install --prefix=/usr --install-layout=deb --root=$(CURDIR)/debian/tmp/ ; \
#	)
